Commit 631f2fd8 authored by Philip Chimento's avatar Philip Chimento 🚮

build: Leading tabs in Makefiles

Get rid of leading spaces in Makefiles, they are dangerous; they can
cause editors to go into spaces mode, and then you can get accidental
spaces in your Make rules, which can cause them not to work in the most
frustrating of fashions.

https://bugzilla.gnome.org/show_bug.cgi?id=772027
parent 05f5be3f
EXTRA_DIST += \
examples/clutter.js \
examples/gio-cat.js \
examples/gtk.js \
examples/http-server.js \
examples/test.jpg
examples/clutter.js \
examples/gio-cat.js \
examples/gtk.js \
examples/http-server.js \
examples/test.jpg
......@@ -9,11 +9,11 @@ noinst_LTLIBRARIES += $(NATIVE_MODULES)
libgjs_la_LIBADD += $(NATIVE_MODULES)
JS_NATIVE_MODULE_CPPFLAGS = \
$(AM_CPPFLAGS) \
$(AM_CPPFLAGS) \
-DGJS_COMPILATION \
$(GJS_CFLAGS)
$(GJS_CFLAGS)
JS_NATIVE_MODULE_LIBADD = \
$(GJS_LIBS)
$(GJS_LIBS)
modules_resource_files := $(shell glib-compile-resources --sourcedir=$(srcdir) --generate-dependencies $(srcdir)/modules/modules.gresource.xml)
modules-resources.h: $(srcdir)/modules/modules.gresource.xml $(modules_resource_files)
......
......@@ -14,11 +14,11 @@ XIDS = 101 102 103 104 105 106 107 197 199 211 223 227 293 307 308 309 310 311 \
9995 9996 9997 9998 9999
XVFB_START = \
${XVFB_INVOCATION} -help 2>/dev/null 1>&2 \
&& XID=`for id in $(XIDS) ; do test -e /tmp/.X$$id-lock || { echo $$id; exit 0; }; done; exit 1` \
&& { ${XVFB} :$$XID -nolisten tcp -auth /dev/null >/dev/null 2>&1 & \
trap "kill -15 $$! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } \
|| { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; } \
&& DISPLAY=:$$XID && export DISPLAY &&
&& XID=`for id in $(XIDS) ; do test -e /tmp/.X$$id-lock || { echo $$id; exit 0; }; done; exit 1` \
&& { ${XVFB} :$$XID -nolisten tcp -auth /dev/null >/dev/null 2>&1 & \
trap "kill -15 $$! " 0 HUP INT QUIT TRAP USR1 PIPE TERM ; } \
|| { echo "Gtk+Tests:ERROR: Failed to start Xvfb environment for X11 target tests."; exit 1; } \
&& DISPLAY=:$$XID && export DISPLAY &&
else
XVFB_START =
endif
......
......@@ -69,14 +69,14 @@ nobase_gjs_module_include_HEADERS = \
pkgconfig_DATA = gjs-1.0.pc gjs-internals-1.0.pc
EXTRA_DIST += \
gjs-1.0.pc.in \
gjs-1.0.pc.in \
gjs-internals-1.0.pc.in
########################################################################
gjs_directory_defines = \
-DGJS_TOP_SRCDIR=\"$(top_srcdir)\" \
-DGJS_TOP_BUILDDIR=\"$(top_builddir)\" \
-DGJS_JS_DIR=\"$(gjsjsdir)\" \
-DGJS_JS_DIR=\"$(gjsjsdir)\" \
-DPKGLIBDIR=\"$(pkglibdir)\"
########################################################################
......@@ -153,9 +153,9 @@ libgjs_la_SOURCES += \
gi/param.cpp \
gi/proxyutils.cpp \
gi/proxyutils.h \
gi/repo.cpp \
gi/repo.cpp \
gi/union.cpp \
gi/value.cpp \
gi/value.cpp \
gi/interface.cpp \
gi/gtype.cpp \
gi/gerror.cpp
......@@ -221,7 +221,7 @@ bin_PROGRAMS += gjs-console
gjs_console_CPPFLAGS = \
$(AM_CPPFLAGS) \
$(GOBJECT_CFLAGS)
$(GOBJECT_CFLAGS)
gjs_console_LDADD = \
$(GOBJECT_LIBS) \
libgjs.la
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment